TLS Certificates
Check DNS and re-validate certificate
Authorization
bearerAuth AuthorizationBearer <token>
A Fly.io access token. Create one with fly tokens create.
In: header
Path Parameters
app_name*string
Fly App Name
hostname*string
Certificate Hostname
Response Body
application/json
curl -X POST "https://example.com/apps/string/certificates/string/check"{ "acme_requested": true, "certificates": [ { "created_at": "string", "expires_at": "string", "issued": [ { "certificate_authority": "string", "expires_at": "string", "type": "rsa" } ], "issuer": "string", "source": "custom", "status": "active" } ], "configured": true, "dns_provider": "string", "dns_records": { "a": [ "string" ], "aaaa": [ "string" ], "acme_challenge_cname": "string", "cname": [ "string" ], "ownership_txt": "string", "resolved_addresses": [ "string" ], "soa": "string" }, "dns_requirements": { "a": [ "string" ], "aaaa": [ "string" ], "acme_challenge": { "name": "string", "target": "string" }, "cname": "string", "ownership": { "app_value": "string", "name": "string", "org_value": "string" } }, "hostname": "string", "rate_limited_until": "string", "status": "string", "validation": { "alpn_configured": true, "dns_configured": true, "http_configured": true, "ownership_txt_configured": true }, "validation_errors": [ { "code": "string", "message": "string", "remediation": "string", "timestamp": "string" } ]}